if(BUILDCORE_TARGET STREQUAL "gba")
    project(Olympic ASM CXX)
else()
    project(Olympic CXX)
endif()

set(OLYMPIC_BUILD_STUDIO ON CACHE BOOL "Build Studio")

if(BUILDCORE_TARGET STREQUAL "gba")
    set(OLYMPIC_BUILD_STUDIO OFF)
    set(TURBINE_BUILD_TYPE "GBA")
else()
    set(TURBINE_BUILD_TYPE "Native")
endif()

add_subdirectory(applib)
add_subdirectory(keel)
add_subdirectory(turbine)
if(${OLYMPIC_BUILD_STUDIO})
    add_subdirectory(studio)
endif()
